VERSION 5.00
Object = "{EAB22AC0-30C1-11CF-A7EB-0000C05BAE0B}#1.1#0"; "SHDOCVW.DLL"
Begin VB.Form frmBrowser 
   AutoRedraw      =   -1  'True
   Caption         =   "GIF Viewer"
   ClientHeight    =   5355
   ClientLeft      =   1230
   ClientTop       =   2325
   ClientWidth     =   9195
   Icon            =   "frmBrowser.frx":0000
   LinkTopic       =   "frmBrowser"
   ScaleHeight     =   5355
   ScaleWidth      =   9195
   Begin VB.ComboBox cboAddress 
      Height          =   315
      Left            =   2160
      TabIndex        =   4
      Text            =   "END!"
      Top             =   4200
      Visible         =   0   'False
      Width           =   3795
   End
   Begin VB.DriveListBox Drive1 
      Height          =   315
      Left            =   0
      TabIndex        =   3
      ToolTipText     =   "Step 1 - Select a Drive and Click."
      Top             =   120
      Width           =   1815
   End
   Begin VB.DirListBox Dir1 
      Height          =   2115
      Left            =   0
      TabIndex        =   2
      ToolTipText     =   "Step 2 - Select a Directory and Double Click."
      Top             =   480
      Width           =   1815
   End
   Begin VB.FileListBox File1 
      Height          =   2625
      Left            =   0
      Pattern         =   "*.gif;*.jpg;*.ico;*.bmp;*.wmf"
      TabIndex        =   1
      ToolTipText     =   "Step 3 - Select a GIF or ICO file (if available) and Click."
      Top             =   2640
      Width           =   1815
   End
   Begin SHDocVwCtl.WebBrowser brwWebBrowser 
      Height          =   495
      Left            =   1920
      TabIndex        =   0
      Top             =   120
      Width           =   1440
      ExtentX         =   2540
      ExtentY         =   873
      ViewMode        =   1
      Offline         =   0
      Silent          =   0
      RegisterAsBrowser=   0
      RegisterAsDropTarget=   0
      AutoArrange     =   -1  'True
      NoClientEdge    =   -1  'True
      AlignLeft       =   0   'False
      NoWebView       =   0   'False
      HideFileNames   =   0   'False
      SingleClick     =   0   'False
      SingleSelection =   0   'False
      NoFolders       =   0   'False
      Transparent     =   0   'False
      ViewID          =   "{0057D0E0-3573-11CF-AE69-08002B2E1262}"
      Location        =   ""
   End
   Begin VB.Timer timTimer 
      Enabled         =   0   'False
      Interval        =   5
      Left            =   5040
      Top             =   120
   End
   Begin VB.Label Label1 
      Caption         =   $"frmBrowser.frx":08CA
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2175
      Left            =   2640
      TabIndex        =   5
      Top             =   1560
      Width           =   5295
   End
   Begin VB.Menu mnuOpt 
      Caption         =   "&Options"
      Begin VB.Menu mnuGif 
         Caption         =   "Gif and Ico"
      End
      Begin VB.Menu mnuJpg 
         Caption         =   "Gif,Ico,Jpg"
      End
   End
   Begin VB.Menu mnuAbout 
      Caption         =   "&About"
   End
   Begin VB.Menu mnuExit 
      Caption         =   "&Exit"
   End
End
Attribute VB_Name = "frmBrowser"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private StartingAddress As String
Private mbDontNavigateNow As Boolean
Private GifPath As String
Private Sub Dir1_Change()
    brwWebBrowser.Visible = False
    File1.Path = Dir1.Path
    frmBrowser.Caption = Dir1.Path
End Sub
Private Sub Drive1_Change()
    On Error GoTo errhand

    Dir1.Path = Drive1.Drive
    brwWebBrowser.Visible = False
    frmBrowser.Caption = Drive1.Drive
    Exit Sub

errhand:
    MsgBox ("Drive not ready.")
End Sub
Private Sub File1_Click()
Dim filename As String

    filename = File1.List(File1.ListIndex)
    If Len(File1.Path) = 3 Then
        Dim cartella As String
        cartella = Left(File1.Path, 2)
        cboAddress.Text = cartella & "\" & filename
    Else
        cboAddress.Text = File1.Path & "\" & filename
        DoEvents
    End If

    If mbDontNavigateNow Then Exit Sub
    timTimer.Enabled = True
    brwWebBrowser.Navigate cboAddress.Text
    DoEvents
    brwWebBrowser.Visible = True
End Sub

Private Sub Form_Click()
    frmBrowser.Caption = "GIF Viewer"
End Sub

Private Sub Form_Load()
    On Error Resume Next
    Me.Show
    Form_Resize
    File1.Pattern = "*.gif;*.ico"
    'File1.Pattern = "*.gif;*.jpg;*.ico;*.wmf;*.dib"  '*.bmp;
    'Dir1.Path = "C:\"
    'Dir1.Path = Drive1.Drive
    Dir1.Path = App.Path
    brwWebBrowser.Navigate File1.Path '"C:\Windows"
End Sub
Private Sub brwWebBrowser_DownloadComplete()
    On Error Resume Next
    Me.Caption = brwWebBrowser.LocationName
End Sub
Private Sub brwWebBrowser_NavigateComplete(ByVal URL As String)
Dim i As Integer
Dim bFound As Boolean

    Me.Caption = brwWebBrowser.LocationName
    For i = 0 To cboAddress.ListCount - 1
        If cboAddress.List(i) = brwWebBrowser.LocationURL Then
            bFound = True
            Exit For
        End If
    Next i
    mbDontNavigateNow = True
    If bFound Then
        cboAddress.RemoveItem i
    End If
    cboAddress.AddItem brwWebBrowser.LocationURL, 0
    cboAddress.ListIndex = 0
    mbDontNavigateNow = False
End Sub
Private Sub cboAddress_Click()
    If mbDontNavigateNow Then Exit Sub
    timTimer.Enabled = True
    brwWebBrowser.Navigate cboAddress.Text
End Sub
Private Sub cboAddress_KeyPress(KeyAscii As Integer)
    On Error Resume Next
    If KeyAscii = vbKeyReturn Then
        cboAddress_Click
    End If
End Sub
Private Sub Form_Resize()
    brwWebBrowser.Width = Me.ScaleWidth - File1.Width - 100
    brwWebBrowser.Height = Me.ScaleHeight - 100
End Sub

Private Sub mnuAbout_Click()
    MsgBox "VB5 program to view ico and animated gif files." & Chr(10) & Chr(13) & "           ncrosby@att.net", vbOKOnly, "GIF Viewer"
End Sub
Private Sub mnuExit_Click()
    End
End Sub

Private Sub mnuGif_Click()
    File1.Pattern = "*.gif;*.ico"
End Sub

Private Sub mnuJpg_Click()
    File1.Pattern = "*.gif;*.jpg;*.ico;*.wmf;*.dib"  '*.bmp;
End Sub

Private Sub timTimer_Timer()
    If brwWebBrowser.Busy = False Then
        timTimer.Enabled = False
        Me.Caption = brwWebBrowser.LocationName
    Else
        Me.Caption = "Working..."
    End If
End Sub
